StaticMethodCallExpression (Groovy 5.0.6)
Description: declaration: package: org.codehaus.groovy.ast.expr, class: StaticMethodCallExpression

Package org.codehaus.groovy.ast.expr

# Class StaticMethodCallExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.StaticMethodCallExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `MethodCall`, `NodeMetaDataHandler`

public class StaticMethodCallExpression extends Expression implements MethodCall
A static method call on a class

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaticMethodCallExpression(ClassNode type, String method, Expression arguments)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Expression`
  `getArguments()`
  `MetaMethod`
  `getMetaMethod()`
  `String`
  `getMethod()`
  `String`
  `getMethodAsString()`
  `ClassNode`
  `getOwnerType()`
  `ASTNode`
  `getReceiver()`
  `String`
  `getText()`
  `void`
  `setMetaMethod(MetaMethod metaMethod)`
  `void`
  `setOwnerType(ClassNode ownerType)`
  `String`
  `toString()`
  `Expression`
  `transformExpression(ExpressionTransformer transformer)`
  Transforms this expression and any nested expressions.
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### StaticMethodCallExpression

    public StaticMethodCallExpression(ClassNode type, String method, Expression arguments)

- ## Method Details

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ASTNode`

  - ### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)
    Description copied from class: `Expression`
    Transforms this expression and any nested expressions.
    Specified by:
      `transformExpression` in class `Expression`

  - ### getReceiver

    public ASTNode getReceiver()
    Specified by:
      `getReceiver` in interface `MethodCall`

  - ### getMethodAsString

    public String getMethodAsString()
    Specified by:
      `getMethodAsString` in interface `MethodCall`

  - ### getArguments

    public Expression getArguments()
    Specified by:
      `getArguments` in interface `MethodCall`

  - ### getMethod

    public String getMethod()

  - ### getText

    public String getText()
    Specified by:
      `getText` in interface `MethodCall`
    Overrides:
      `getText` in class `ASTNode`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getOwnerType

    public ClassNode getOwnerType()

  - ### setOwnerType

    public void setOwnerType(ClassNode ownerType)

  - ### setMetaMethod

    public void setMetaMethod(MetaMethod metaMethod)

  - ### getMetaMethod

    public MetaMethod getMetaMethod()